package com.its.vds.stat.server.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface ProcessingElapsed {
    String type() default "-----";
    String name() default "UNKNOWN_PROCESS";
    boolean starting() default true;  // 로깅 여부
    boolean ending() default true;  // 로깅 여부
}

